Subject: Re: bug#47896: 27.2; TRAMP hang/lockup/fault on compile/file access

From: Michael Albinus <[email-masked]>
Date: Thu, 22 Apr 2021 09:31:51 +0200

dag via "Bug reports for GNU Emacs, the Swiss army knife of text
editors" <[email-masked]> writes:

>> Yes, the escape sequences. You can check the environment variable
>> INSIDE_EMACS on the remote host. If Tramp is involved, it tells you
>> there.
>
> Hmm.  ssh can't always pass environment variables because the remote
> admin may have disabled it, so INSIDE_EMACS isn't always reliable.  Is
> testing for TERM == "dumb" sufficient?

Yes. But I don't know, whether emacs-libvterm does the same setting.

> David

Best regards, Michael.